Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045853
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2021-02-04 14:122021-02-23 11:51
ReporteravicenteView Statuspublic 
Assigned Tocberner 
PriorityhighResolutionfixedFixed in VersionPR21Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045853: In backend, all data are shown by default in subtabs with Lazy filtering configured

DescriptionLazy filtering does not work correctly when it is configured for a subtab. When the subtad is open, all data is shown. See video
https://drive.google.com/file/d/1JktVLCUvDgtkNdwwQ75rU_Sbqf-l1NqP/view [^]


That was already reported in
https://issues.openbravo.com/view.php?id=44770 [^]
Steps To ReproduceSee video

https://drive.google.com/file/d/1JktVLCUvDgtkNdwwQ75rU_Sbqf-l1NqP/view [^]

1. Login in ERP as System user
2. Go to Grid configuration at Window/Tab/Field level
3. Create new, select Tab: Product Price - Price List and select Lazy Filtering on Grid to yes.
4. Logout and login as F&B International Group Admin
5. Open Price List window
6. Select any Pirce List
7. Open Product Price subtab of Price List Version

Check that data was fetched, although lazy filtering is active. Modifying the filters should now require pressing the filter button.

As a side note, it seems to not be reproducible if no element is selected in Price List version tab(to achieve this, create at least 2 elements, and don't select any), at opening Product Price tab, no data will be fetched and lazy filtering works as expected.
TagsNOR
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0044770 closedAugustoMauch In backend, all data are shown by default in subtabs with Lazy filtering configured 
related to defect 0044921 closedcberner Adding a column in the grid view to a view when there is a Lazy Filter launches the search 

-  Notes
(0126066)
hgbot (developer)
2021-02-10 15:28

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/310 [^]
(0126298)
hgbot (developer)
2021-02-23 11:51

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: df2e6b3ba603c67bb5de7c178f6b2e9c54df88a0
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 2021-02-23T10:51:27+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/df2e6b3ba603c67bb5de7c178f6b2e9c54df88a0 [^]

Fixes ISSUE-45853: All data is shown by default in subtabs with Lazy filtering configured

Previously when switching to a subtab of a subtab, lazy filtering was
not being used and a refresh of the data was being executed. To avoid
this, when switching to a tab with a grid that is not yet visible, only
force a refresh if lazy filtering is not configured for that grid.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-tab.js
---
(0126299)
hgbot (developer)
2021-02-23 11:51

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/310 [^]

- Issue History
Date Modified Username Field Change
2021-02-04 14:12 avicente New Issue
2021-02-04 14:12 avicente Assigned To => platform
2021-02-04 14:12 avicente Web browser => Internet Explorer
2021-02-04 14:12 avicente Modules => Core
2021-02-04 14:12 avicente Triggers an Emergency Pack => No
2021-02-04 14:12 avicente Tag Attached: NOR
2021-02-04 14:13 avicente Relationship added related to 0044770
2021-02-04 14:48 rafaroda Web browser Internet Explorer => Internet Explorer
2021-02-04 14:49 rafaroda Relationship added related to 0044921
2021-02-04 14:49 rafaroda Issue Monitored: rafaroda
2021-02-08 12:21 egoitz Web browser Internet Explorer => Internet Explorer
2021-02-08 12:21 rafaroda Web browser Internet Explorer => Internet Explorer
2021-02-09 17:27 cberner Web browser Internet Explorer => Internet Explorer
2021-02-09 17:27 cberner Steps to Reproduce Updated View Revisions
2021-02-09 17:31 cberner Web browser Internet Explorer => Internet Explorer
2021-02-09 17:31 cberner Steps to Reproduce Updated View Revisions
2021-02-09 17:31 cberner Web browser Internet Explorer =>
2021-02-10 15:24 cberner Assigned To platform => cberner
2021-02-10 15:28 hgbot Note Added: 0126066
2021-02-23 11:51 hgbot Resolution open => fixed
2021-02-23 11:51 hgbot Status new => closed
2021-02-23 11:51 hgbot Fixed in Version => PR21Q2
2021-02-23 11:51 hgbot Note Added: 0126298
2021-02-23 11:51 hgbot Note Added: 0126299


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker